Windows Live Photo & Video Blog

Official blog for the Windows Live Digital Memories Experience team

Movie Maker 2.6

Movie Maker 2.6

  • Comments 4

Hi, I’m Bret Ahlstrom. I’m a program manager on the Digital Memories team at Microsoft. Most recently, I was in charge of Movie Maker 2.6, which is available for download here.

If the Vista version of Movie Maker is working for you, you’re all set, please don’t install Movie Maker 2.6.

Some machines with certain graphics cards (cards that don’t support the Windows Device Driver Model) are unable to run Vista Movie Maker at all.  Movie Maker 2.6 was developed specifically to ensure that those machines could run a version of Movie Maker.  No other bug fixes or feature enhancements were included in this release.

What is Movie Maker 2.6
Movie Maker 2.6 is simply the XPSP2 version of Movie Maker (version 2.1) brought forward to Vista with as few changes as possible. Movie Maker 2.6 is NOT an upgrade from the Vista version of Movie Maker or even an upgrade from the XP version Movie Maker. It does not replace Vista version of Movie Maker, it installs side-by-side with it. It is not designed to be able to run concurrently with the Vista version of Movie Maker, and it can cause problems if you try.

So why did we ship it?
Although the Vista version of Movie Maker does not have major changes to the user interface, we did make significant performance improvements to support things like High Definition video.  These changes involved tying Movie Maker’s rendering engine directly to the graphics card and driver.

However, this change opened up the possibility that machines without sufficiently powerful graphics cards (cards that don’t support the Windows Device Driver Model) would not be able to run Movie Maker. At the time we made the decision, we were fairly confident that this would not be a big issue. Unfortunately, by the time Vista was complete, it became clear that there would be quite a few machines that would be able to run Vista, but would not be able to run Movie Maker. We didn’t want to leave those users out in the cold, so we decided to release a version of Movie Maker that wasn’t tightly tied to the graphics hardware. Movie Maker 2.6 was born.

Who Should Use Movie Maker 2.6 (and who should NOT)?
People who have Vista machines with Vista Movie Maker already installed, but who can’t run Vista Movie Maker are the intended audience of Movie Maker 2.6.

When you launch Vista Movie Maker, if you get an error that says, “Windows Movie Maker cannot start because your video card does not support the required level of hardware acceleration or hardware acceleration is not available”, then Movie Maker 2.6 is for you. If you don’t get this error, the version of Movie Maker that shipped with Windows Vista is the best version for you.

Bret Ahlstrom - Program Manager